i just brought a new i phone today.. i guess it comes with 1.1.3 since i got it from att.. which gudie do i use... do i have to downgrade this thing first.. is the hack even out for the new ones yet thanks